summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2018-05-08 17:36:30 +0200
committerJeroen Roovers <jer@gentoo.org>2018-05-08 17:36:49 +0200
commit41bf134dd36d383fb8f2efa959943c6c819ae041 (patch)
tree3e46ed01f5525fb527c39b518faf38679705d03b
parentnet-misc/wget: Stable for HPPA too. (diff)
downloadgentoo-41bf134dd36d383fb8f2efa959943c6c819ae041.tar.gz
gentoo-41bf134dd36d383fb8f2efa959943c6c819ae041.tar.bz2
gentoo-41bf134dd36d383fb8f2efa959943c6c819ae041.zip
www-client/vivaldi-snapshot: Version 1.16.1177.5_p1.
Package-Manager: Portage-2.3.36, Repoman-2.3.9
-rw-r--r--www-client/vivaldi-snapshot/Manifest3
-rw-r--r--www-client/vivaldi-snapshot/vivaldi-snapshot-1.16.1177.5_p1.ebuild117
2 files changed, 120 insertions, 0 deletions
diff --git a/www-client/vivaldi-snapshot/Manifest b/www-client/vivaldi-snapshot/Manifest
index ecfc552086a..be8946444d9 100644
--- a/www-client/vivaldi-snapshot/Manifest
+++ b/www-client/vivaldi-snapshot/Manifest
@@ -1,3 +1,6 @@
DIST vivaldi-snapshot-1.16.1170.3_p1-amd64.deb 53985548 BLAKE2B 08fec53970742cedbf7644aefcf3762c64c8fdfd2a9c7b129f21af4842986d3847af69f204d9dcc51464b3426193e2c5bf1bc6ebe5f2208e470e006fdd7a189a SHA512 01f78969343d7bf4f27281514a16924b35cc4cbb2719d23655b2444993786957cfc1eda58ce03cca94f02d2436d5708c329bd29916acf19376ee36f2d990f396
DIST vivaldi-snapshot-1.16.1170.3_p1-armhf.deb 47799872 BLAKE2B f163906e7671e32105300540078e792b0849b822d18594cb3a8ee1116efaa800af183f6dee151e1cb82f793e95e3e74b6488e9dcdaaf56ea9e49fa3def5257ce SHA512 ad0ffde292e4001567278c1971dc5e593464cd2223bc2e74b3d88474bbcbfcdeb40daf883f4abb8ea92d3a5c93744c98b9ee603e66f6d56f16df3f9393b0e25d
DIST vivaldi-snapshot-1.16.1170.3_p1-i386.deb 53635666 BLAKE2B 1f7b05594a9fae45f8083637e7782da8cdf27d269c668065d58d75e7b66dc9b31504c7679c675ff8a84f8f19eba3f0d90a19f715a7bb475caddd16e5bfc288c8 SHA512 1c5963428d8f79ceb6c4f185d55c67f799f1d61337e40c4773e0f8536b61a2fca99d1a0b93ed8c450864771973784a34074af734e6596c4bd172e7366e8a5c30
+DIST vivaldi-snapshot-1.16.1177.5_p1-amd64.deb 54064562 BLAKE2B c30afb6c6a15d6558aa1479a0a114329359cd9e1ca80de25498917e8bc6cc2478998cb969cb8937ef6509afc5f790a8d58c7596f55cb91a5ba4f59f2a0831c49 SHA512 76d68038f3fd8a45e5cea88513a67af0cce7a9b8971203027b8490d1fc9f0b64ee0c3659ebffbc693e25876cd83d9b2afd74c10f24e8bae1a2ef7a315882ca4b
+DIST vivaldi-snapshot-1.16.1177.5_p1-armhf.deb 47810656 BLAKE2B c43609c45cb2281e09ad2251e44025da3d18d9fd06d50d3f13eb10417782d7f2463c12035f6aa0b618910e4cb76cb662b47b22202d6b6889acdc70c0589124b8 SHA512 eaf900cb88d1b207d7d799c6818bfa679921864aab0df85676df694be26b9b8f9f9439c72a653366df8f4249d926c6aa8828dbd67bd0417ed394b4aa82fdd7c5
+DIST vivaldi-snapshot-1.16.1177.5_p1-i386.deb 53642380 BLAKE2B 60e0e162a45174b1360d443c24b39d2ce4e182e83b2fe0b8c269067a93a34cb6d92f95a5523a57ede26c30007a155fa2283307e38ae3b32ad26536da8949890b SHA512 7a99da24cf7198a7d875c9b242349e0f9f3c548b8ff277dcc30f66c9cc75ec29f8d1e2d6abd275f3478bfcf826fb9695fa3f65d167153582d0b9557fb19d53fd
diff --git a/www-client/vivaldi-snapshot/vivaldi-snapshot-1.16.1177.5_p1.ebuild b/www-client/vivaldi-snapshot/vivaldi-snapshot-1.16.1177.5_p1.ebuild
new file mode 100644
index 00000000000..b70af0fb4cf
--- /dev/null
+++ b/www-client/vivaldi-snapshot/vivaldi-snapshot-1.16.1177.5_p1.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+CHROMIUM_LANGS="
+ am ar bg bn ca cs da de el en-GB en-US es es-419 et fa fi fil fr gu he hi
+ hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv
+ sw ta te th tr uk vi zh-CN zh-TW
+"
+inherit chromium-2 eutils gnome2-utils multilib unpacker toolchain-funcs xdg-utils
+
+VIVALDI_HOME="opt/${PN}"
+DESCRIPTION="A new browser for our friends"
+HOMEPAGE="http://vivaldi.com/"
+VIVALDI_BASE_URI="https://downloads.vivaldi.com/snapshot/${PN}_${PV/_p/-}_"
+SRC_URI="
+ amd64? ( ${VIVALDI_BASE_URI}amd64.deb -> ${P}-amd64.deb )
+ arm? ( ${VIVALDI_BASE_URI}armhf.deb -> ${P}-armhf.deb )
+ x86? ( ${VIVALDI_BASE_URI}i386.deb -> ${P}-i386.deb )
+"
+
+LICENSE="Vivaldi"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm ~x86"
+RESTRICT="bindist mirror"
+
+DEPEND="
+ virtual/libiconv
+"
+RDEPEND="
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/speex
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/libcap
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango[X]
+"
+QA_PREBUILT="*"
+S=${WORKDIR}
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_prepare() {
+ iconv -c -t UTF-8 usr/share/applications/${PN}.desktop > "${T}"/${PN}.desktop || die
+ mv "${T}"/${PN}.desktop usr/share/applications/${PN}.desktop || die
+
+ mv usr/share/doc/${PN} usr/share/doc/${PF} || die
+ chmod 0755 usr/share/doc/${PF} || die
+
+ rm \
+ _gpgbuilder \
+ etc/cron.daily/${PN} \
+ ${VIVALDI_HOME}/libwidevinecdm.so \
+ || die
+ rmdir \
+ etc/cron.daily/ \
+ etc/ \
+ || die
+
+ local c d
+ for d in 16 22 24 32 48 64 128 256; do
+ mkdir -p usr/share/icons/hicolor/${d}x${d}/apps || die
+ cp \
+ ${VIVALDI_HOME}/product_logo_${d}.png \
+ usr/share/icons/hicolor/${d}x${d}/apps/${PN}.png || die
+ done
+
+ pushd "${VIVALDI_HOME}/locales" > /dev/null || die
+ chromium_remove_language_paks
+ popd > /dev/null || die
+
+ epatch "${FILESDIR}"/vivaldi-snapshot-1.14.1072.3_p1-libffmpeg.patch
+
+ epatch_user
+}
+
+src_install() {
+ mv * "${D}" || die
+ dosym /${VIVALDI_HOME}/${PN} /usr/bin/${PN}
+
+ fperms 4711 /${VIVALDI_HOME}/vivaldi-sandbox
+}
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}